#ifndef MAINWINDOW_H
 #define MAINWINDOW_H

 #include <QMainWindow>
#include "mywidget.h"

 class MainWindow : public QMainWindow
 {
     Q_OBJECT

 public:
     MainWindow();
    /*Entering Widgets start*/
     QDockWidget *prc;
     QDockWidget *h0size;
     QDockWidget *qualIter;
     QDockWidget *qualIterMandel;
     QDockWidget *qualPixMandel;
     /*Entering Widgets end*/
 private:

    MyWidget *myWidget;

 private slots:
     void open();
     void about();
     void exportTxt();

 private:
     void createActions();
     void createMenus();
     void updateActions();

 #ifndef QT_NO_PRINTER
     QPrinter printer;
 #endif
    /*Entering Actions start*/
     QAction *openAct;
     QAction *exitAct;
     QAction *aboutAct;
     QAction *aboutQtAct;
     QAction *exportAct;
     /*Entering Actions end*/

    QMenu *fileMenu;
    QMenu *helpMenu;
    QMenu *exportMenu;
 };

 #endif
