#ifndef MYWIDGET_H
#define MYWIDGET_H
#include <QtGui>
#include <QWidget>
#include <QImage>

#include <QFile>
#include <QDoubleSpinBox>

#include <iostream>
#define ARRAY_SIZE 10000



class MyWidget :  public QWidget {

    Q_OBJECT
    public:
        QScrollArea *scrollArea; //Scroll area, gde kartinka
        MyWidget(QWidget *parent = 0);
        QDoubleSpinBox* prc; //procent zapolnenosty
        QSpinBox* h0Size; //razmer nachalnogo kvadrata
        QSpinBox* qualIter;  //kollichestvo iteraciy
        QSpinBox* qualIterMandel; //kollichestvo prochetov frac. Man.
        QSpinBox* qualPixMandel; //kollichestvo pixelej
        QImage qImage; //sozdanie kartinky


    public slots:

        void exportTxt();

    protected:


    private:
        QColor qpColor;
        int qualTrue[ARRAY_SIZE];
        int qualH0Size[ARRAY_SIZE];
        int lastPoint;
        int pixQuant;

        /*METHODS START*/
        int mathProcessor(); //sozdanie metoda MathProcessor, vozvrashat' ono budet znachenie INTEGER
        void paintEvent(QPaintEvent *); //Sozdanie metoda paintEvent, metod nichego ne vozvrashaet (Void type)
        void mousePressEvent ( QMouseEvent * event);
        void keyPressEvent(QKeyEvent *event);
        void processFracPaint();
        void processMandelPaint();
        bool colorAn(QColor c1, QColor c2);
        float scaleFactor;
        void wheelEvent ( QWheelEvent * event);
        void adjustScrollBar(QScrollBar *scrollBar, double factor);
        /*METHODS END*/
    };

#endif
